/**
 * <copyright>
 * </copyright>
 *
 * $Id: SQLSimpleTypeValidator.java,v 1.1 2008-04-01 09:35:22 vmahe Exp $
 */
package orgomg.cwm.resource.relational.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.resource.relational.SQLDistinctType;

/**
 * A sample validator interface for {@link orgomg.cwm.resource.relational.SQLSimpleType}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface SQLSimpleTypeValidator {
	boolean validate();

	boolean validateCharacterMaximumLength(long value);
	boolean validateCharacterOctetLength(long value);
	boolean validateNumericPrecision(long value);
	boolean validateNumericPrecisionRadix(long value);
	boolean validateNumericScale(long value);
	boolean validateDateTimePrecision(long value);
	boolean validateSqlDistinctType(EList<SQLDistinctType> value);
}
